GDB (xrefs)

Macros | Enumerations | Functions
aarch64.h File Reference
`#include "tdesc.h"`

Go to the source code of this file.

## Macros
#define | AARCH64_X_REGS_NUM 31
#define | AARCH64_V_REGS_NUM 32
#define | AARCH64_NUM_REGS AARCH64_FPCR_REGNUM + 1

## Enumerations
enum | aarch64_regnum { AARCH64_X0_REGNUM, AARCH64_FP_REGNUM = AARCH64_X0_REGNUM + 29, AARCH64_LR_REGNUM = AARCH64_X0_REGNUM + 30, AARCH64_SP_REGNUM, AARCH64_PC_REGNUM, AARCH64_CPSR_REGNUM, AARCH64_V0_REGNUM, AARCH64_V31_REGNUM = AARCH64_V0_REGNUM + 31, AARCH64_FPSR_REGNUM, AARCH64_FPCR_REGNUM, AARCH64_LAST_X_ARG_REGNUM = AARCH64_X0_REGNUM + 7, AARCH64_STRUCT_RETURN_REGNUM = AARCH64_X0_REGNUM + 8, AARCH64_LAST_V_ARG_REGNUM = AARCH64_V0_REGNUM + 7 }

## Functions
target_desc * | aarch64_create_target_description ()

## Macro Definition Documentation

## ◆ AARCH64_NUM_REGS

#define AARCH64_NUM_REGS AARCH64_FPCR_REGNUM + 1

Definition at line 49 of file aarch64.h.

## ◆ AARCH64_V_REGS_NUM

#define AARCH64_V_REGS_NUM 32

Definition at line 48 of file aarch64.h.

## ◆ AARCH64_X_REGS_NUM

#define AARCH64_X_REGS_NUM 31

Definition at line 47 of file aarch64.h.

## Enumeration Type Documentation

## ◆ aarch64_regnum

enum aarch64_regnum

Enumerator
AARCH64_X0_REGNUM |
AARCH64_FP_REGNUM |
AARCH64_LR_REGNUM |
AARCH64_SP_REGNUM |
AARCH64_PC_REGNUM |
AARCH64_CPSR_REGNUM |
AARCH64_V0_REGNUM |
AARCH64_V31_REGNUM |
AARCH64_FPSR_REGNUM |
AARCH64_FPCR_REGNUM |
AARCH64_LAST_X_ARG_REGNUM |
AARCH64_STRUCT_RETURN_REGNUM |
AARCH64_LAST_V_ARG_REGNUM |

Definition at line 28 of file aarch64.h.

## Function Documentation

## ◆ aarch64_create_target_description()

target_desc* aarch64_create_target_description | ( |  | ) |

Definition at line 28 of file aarch64.c.

References allocate_target_description(), create_feature_aarch64_core(), create_feature_aarch64_fpu(), regnum, and set_tdesc_architecture().

Referenced by _initialize_aarch64_tdep(), and aarch64_read_description().